For the latest news and information visit The GNU Crypto project

## gnu.crypto.assembly
Class Operation

    java.lang.Object
      |
      +--gnu.crypto.assembly.Operation

public final class Operation
extends java.lang.Object

An enumeration type for specifying the operation type of a `Transformer`.

The possible values for this type are two:

1. PRE_PROCESSING: where the input data is first processed by the current `Transformer` before being passed to the rest of the chain; and
2. POST_PROCESSING: where the input data is first passed to the rest of the chain, and the resulting bytes are then processed by the current `Transformer`.

Field Summary
`static Operation` `POST_PROCESSING`
`static Operation` `PRE_PROCESSING`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRE_PROCESSING

    public static final Operation PRE_PROCESSING

### POST_PROCESSING

    public static final Operation POST_PROCESSING

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.